from launch import LaunchDescription
from launch_ros.actions import ComposableNodeContainer, LoadComposableNodes
from launch_ros.descriptions import ComposableNode


def generate_launch_description():
    container = ComposableNodeContainer(
        name='control_calibration_service_container',
        namespace='/',
        package='rclcpp_components',
        executable='component_container_mt',
        composable_node_descriptions=[],
        output='screen',
    )

    load_node = LoadComposableNodes(
        target_container='/control_calibration_service_container',
        composable_node_descriptions=[
            ComposableNode(
                package='control_calibration_service',
                plugin='control_calibration_service::ControlCalibrationServiceNode',
                name='control_calibration_service',
                namespace='/',
            )
        ],
    )

    return LaunchDescription([
        container,
        load_node,
    ])
